List Conversations
curl --request GET \
--url https://geniusforms.ai/api/v1/forms/{id}/chat \
--header 'X-API-Key: <api-key>'import requests
url = "https://geniusforms.ai/api/v1/forms/{id}/chat"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://geniusforms.ai/api/v1/forms/{id}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversations": [
{
"id": 5,
"formId": 208,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true,
"limit": 123,
"offset": 123
}{
"error": "validation_error",
"message": "Invalid request"
}Chat
List Conversations
List all chat conversations for a form, sorted by most recently updated.
GET
/
forms
/
{id}
/
chat
List Conversations
curl --request GET \
--url https://geniusforms.ai/api/v1/forms/{id}/chat \
--header 'X-API-Key: <api-key>'import requests
url = "https://geniusforms.ai/api/v1/forms/{id}/chat"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://geniusforms.ai/api/v1/forms/{id}/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversations": [
{
"id": 5,
"formId": 208,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"hasMore": true,
"limit": 123,
"offset": 123
}{
"error": "validation_error",
"message": "Invalid request"
}Authorizations
API key obtained from your GeniusForms dashboard
Path Parameters
Form ID
Query Parameters
Max results to return
Required range:
x <= 50Pagination offset